//using System;
//using System.Collections.Generic;
//using System.IO;
//using System.Linq;
//using Microsoft.Xna.Framework;
//using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.DataStructures;
using Terraria.ID;
using Terraria.ModLoader;
using Terraria.ModLoader.IO;
//using Terraria.Graphics.Shaders;
//using Terraria.GameInput;
//using SlimeBiome;

namespace SlimeBiome
{
	public class SlimeBiomePlayer : ModPlayer
	{
		public bool ZoneSlimeBiome = false;
		public bool ZoneSlimeBlueBiome = false;
		public bool ZoneSlimeSnowBiome = false;
		public bool ZoneSlimePurpleBiome = false;
		public bool ZoneSlimeDesertBiome = false;
		public bool ZoneSlimeGlowBiome = false;
		public bool ZoneSlimeJungleBiome = false;
		public bool ZoneSlimeOasisBiome = false;
		public bool StickyAccessoryPrevious;
		public bool StickyAccessory;
		public bool StickyHideVanity;
		public bool StickyForceVanity;
		public bool StickyPower;
		public bool Sticky = false;

		public override void ResetEffects()
		{
			StickyAccessoryPrevious = StickyAccessory;
			StickyAccessory = StickyHideVanity = StickyForceVanity = StickyPower = false;
		}

		public override void UpdateVanityAccessories()
		{
			for (int n = 13; n < 18 + player.extraAccessorySlots; n++)
			{
				/*Item item = player.armor[n];
				if (item.type == mod.ItemType("SlimedirtBlock"))
				{
					StickyHideVanity = false;
					StickyForceVanity = true;
				}*/
			}
		}

		/*public override void PostUpdate()
		{
			//if (true)
			if (!NPC.AnyNPCs(mod.NPCType("ArmoredFlutterSlime")))
			{
				//float targetX = npc.Center.X;
				//float targetY = npc.Center.Y;
				//NPC.NewNPC(SlimeBiomeWorld.TownSlimeX, SlimeBiomeWorld.TownSlimeY, mod.NPCType("ArmoredFlutterSlime"), 0, npc.whoAmI, SlimeBiomeWorld.TownSlimeX, SlimeBiomeWorld.TownSlimeY);
				//int npcIndex = -1;
				//npcIndex = NPC.NewNPC(SlimeBiomeWorld.TownSlimeX, SlimeBiomeWorld.TownSlimeY, mod.NPCType("ArmoredFlutterSlime"));
				WorldGen.PlaceTile(SlimeBiomeWorld.TownSlimeX, SlimeBiomeWorld.TownSlimeY, (ushort)mod.TileType("SlimeWood"));
			}
		}*/

		/*public override void UpdateEquips(ref bool wallSpeedBuff, ref bool tileSpeedBuff, ref bool tileRangeBuff)
		{
			if (player.townNPCs >= 1 && StickyAccessory)
			{
				player.AddBuff(mod.BuffType<Buffs.Sticky>(), 60, true);
			}
		}*/

		/*public override void FrameEffects()
		{
			if ((StickyPower || StickyForceVanity) && !StickyHideVanity)
			{
				player.legs = mod.GetEquipSlot("BlockyLeg", EquipType.Legs);
				player.body = mod.GetEquipSlot("BlockyBody", EquipType.Body);
				player.head = mod.GetEquipSlot("BlockyHead", EquipType.Head);
			}
			if (nullified)
			{
				Nullify();
			}
		}*/

		/*public override bool PreKill(double damage, int hitDirection, bool pvp, ref bool playSound, ref bool genGore, ref PlayerDeathReason damageSource)
		{
			if (player.x = SlimeBiomeWorld.TownSlimeX && player.y = SlimeBiomeWorld.TownSlimeY)
			{
				reviveTime = 1;
			}
			return false;
		}*/

		public override void CatchFish(Item fishingRod, Item bait, int power, int liquidType, int poolSize, int worldLayer, int questFish, ref int caughtType, ref bool junk)
		{
			if (ZoneSlimeBiome == true && Main.rand.Next(20) == 0)
			{
				caughtType = mod.ItemType("SlimeCrate");
			}
		}

		public override void UpdateBiomes()
        {
            ZoneSlimeBiome = (SlimeBiomeWorld.ZoneSlimeBiome > 100);
            ZoneSlimeBlueBiome = (SlimeBiomeWorld.ZoneSlimeBlueBiome > 100);
            ZoneSlimeSnowBiome = (SlimeBiomeWorld.ZoneSlimeSnowBiome > 100);
            ZoneSlimePurpleBiome = (SlimeBiomeWorld.ZoneSlimePurpleBiome > 100);
            ZoneSlimeDesertBiome = (SlimeBiomeWorld.ZoneSlimeDesertBiome > 100);
            ZoneSlimeGlowBiome = (SlimeBiomeWorld.ZoneSlimeDesertBiome > 100);
            ZoneSlimeJungleBiome = (SlimeBiomeWorld.ZoneSlimeDesertBiome > 100);
            ZoneSlimeOasisBiome = (SlimeBiomeWorld.ZoneSlimeOasisBiome > 10);
			if (ZoneSlimeBlueBiome == true || ZoneSlimeSnowBiome == true || ZoneSlimePurpleBiome == true || ZoneSlimeDesertBiome == true || ZoneSlimeGlowBiome == true || ZoneSlimeJungleBiome == true || ZoneSlimeOasisBiome == true)
			{
				ZoneSlimeBiome = true;
			}
        }
	}
}